org.apache.fop.fo.properties

## Class TableBorderPrecedence

- java.lang.Object
- - org.apache.fop.fo.properties.PropertyMaker
  - - org.apache.fop.fo.properties.NumberProperty.Maker
    - - org.apache.fop.fo.properties.TableBorderPrecedence

- All Implemented Interfaces:
    Cloneable

      public class TableBorderPrecedence
      extends NumberProperty.Maker

  A table border preference property maker.

- - ### Property Summary

    - ### Properties inherited from class org.apache.fop.fo.properties.PropertyMaker

      `makeNewProperty`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.fo.properties.PropertyMaker

      `contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableBorderPrecedence(int propId)` Construct a table border preference property maker.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Property` | `make(PropertyList propertyList)` Set default precedence according to the parent FObj Return the default value.

    - ### Methods inherited from class org.apache.fop.fo.properties.NumberProperty.Maker

      `convertProperty`

    - ### Methods inherited from class org.apache.fop.fo.properties.PropertyMaker

      `addEnum, addKeyword, addShorthand, addSubpropMaker, checkEnumValues, checkValueKeywords, clone, compute, convertPropertyDatatype, convertShorthandProperty, findProperty, get, getName, getPercentBase, getPropId, getShorthand, getSubprop, getSubpropMaker, isInherited, make, make, makeNewProperty, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase, setSubprop, useGeneric`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableBorderPrecedence

          public TableBorderPrecedence(int propId)

      Construct a table border preference property maker.
      Parameters:
        `propId` - the border's property id

  - ### Method Detail

    - #### make

          public Property make(PropertyList propertyList)
                        throws PropertyException

      Set default precedence according to the parent FObj Return the default value.
      Overrides:
        `make` in class `PropertyMaker`
      Parameters:
        `propertyList` - The PropertyList object being built for this FO.
      Returns:
        the Property object corresponding to the parameters
      Throws:
        `PropertyException` - for invalid or inconsisten FO input

Copyright © 2025 Apache Software Foundation. All rights reserved.